# LoRa Single Channel Gateway

This repository contains my experiments into a bidirectional single-channel LoRa gateway.

Key places:

 - `Gateway-Python` - Some code I found that interacts with an RFM95 in Python. Based on [single_chan_pkt_fwd](https://github.com/tftelkamp/single_chan_pkt_fwd)
 - `Raw-RFM95` - Arduino code that interacts with an RFM95's registers directly via SPI.
 - `Raw-RFM95-Python` - Same as above, but in Python fort he Raspberry Pi. Tests the registeres to ensure they work correctly.
 - `gateway.js` - The Node.JS port of all the above.
